
Redmine - Defect #5698

redmine:email:receive_imap fails silently for mails with subject longer than 255 characters

2010-06-16 13:01 - Alexander Malfait

Status: Closed Start date: 2010-06-16

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version:  

Description

The automatic issue creation from mailbox silently ignores emails which have a subject longer than 255 characters - the model

validation for Issue fails, and the mail is ignored.

We ran into this problem while automatically importing exceptions from client sites into Redmine via e-mail (exception messages

would sometimes amount to more than 255 characters).

It would be better to just chop the subject off at 255 characters and create the issue like that. Can be modified this way:

in app/models/mail_handler.rb at line 137:

issue.subject = email.subject.chomp[0..254]

Associated revisions

Revision 3801 - 2010-06-20 18:22 - Eric Davis

Truncate incoming email subject lines to 255 characters. #5698

Contributed by Jan

History

#1 - 2010-06-19 02:34 - Eric Davis

- Category set to Email receiving

#2 - 2010-06-20 16:01 - Jan from Planio www.plan.io

- File 5698.diff added

here's a patch with tests. mails with subject lines that are longer than 255 chars will get chopped off.

#3 - 2010-06-20 16:05 - Jan from Planio www.plan.io

- % Done changed from 0 to 90

somebody should look over it and then commit...

#4 - 2010-06-20 18:14 - Eric Davis

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 90 to 100

- Resolution set to Fixed

Committed in r3801, thank you for the bug report and patch.

Files

5698.diff 3.94 KB 2010-06-20 Jan from Planio www.plan.io
